SDL_hid_get_indexed_string(3)

NAME
SDL_hid_get_indexed_string - Get a string from a HID device, based on its string index.

HEADER FILE
Defined in SDL3/SDL_hidapi.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_hid_get_indexed_string(SDL_hid_device *dev, int string_index, wchar_t *string, size_t maxlen);

FUNCTION PARAMETERS

dev A device handle returned from SDL_hid_open ().

string_index
    The index of the string to get.

string
    A wide string buffer to put the data into.

maxlen
    The length of the buffer in multiples of wchar_t.

RETURN VALUE
Returns 0 on success or a negative error code on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.